#
# spec file for package python-scimath
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-scimath
Version:        4.1.2
Release:        5.7
Summary:        Scientific and Mathematical calculations for Python
License:        BSD-3-Clause and LGPL-3.0 and SUSE-Public-Domain
Group:          Development/Libraries/Python
# Source code is under BSD but images are under different licenses
# and details are inside image_LICENSE.txt
Url:            https://github.com/enthought/scimath
Source:         https://pypi.python.org/packages/source/s/scimath/scimath-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-scipy
BuildRequires:  python-setuptools
Requires:       python-numpy
Requires:       python-scipy
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%py_requires
%endif

%description
The SciMath project includes packages to support scientific and mathematical
calculations, beyond the capabilities offered by SciPy.

- scimath.interpolate
- scimath.mathematics
- scimath.units
- scimath.physical_quantities

Part of the Enthought Tool Suite (ETS).

%prep
%setup -q -n scimath-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod +x %{buildroot}%{python_sitearch}/scimath/units/{temperature,pressure,power,force,substance,area,SI,energy,unit,unit_parser}.py
chmod +x %{buildroot}%{python_sitearch}/scimath/interpolate/setup.py
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/scimath/
%{python_sitearch}/scimath-%{version}-py*.egg-info

%changelog
* Mon Oct 13 2014 toddrme2178@gmail.com
- Update source to pypi url.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Apr 20 2013 toddrme2178@gmail.com
- Added a note about being part of the Enthought Tool Suite (ETS).
* Thu Apr 18 2013 toddrme2178@gmail.com
- Update to 4.1.2
  * no changelog
* Tue May 22 2012 toddrme2178@gmail.com
- Initial spec file
